package com.hzya.frame.sysnew.messageTemplate.entity;

import java.util.Date;
import com.hzya.frame.web.entity.BaseEntity;
/**
 * (SysMessageTemplate)实体类
 *
 * @author makejava
 * @since 2024-08-30 14:21:15
 */
public class SysMessageTemplateEntity extends BaseEntity {
 
  /**  公司id */
   private String companyId;
  /**  调用单据类型 */
   private String billKindId;
  /**  模版类型 */
   private String templateType;
  /**  模版名称 */
   private String templateName;
  /**  消息标题 */
   private String messageTitle;
  /**  消息内容 */
   private String messageContents;
  /**  消息操作区域 */
   private String btns;
  /**  数据源 */
   private String dataSource;
  /**  创建时间 */
   private Date createDate;
  /**  创建人 */
   private String createPersonId;
  /**  状态 */
   private String state;
  /**  删除标志 */
   private Integer isdelete;


    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getBillKindId() {
        return billKindId;
    }

    public void setBillKindId(String billKindId) {
        this.billKindId = billKindId;
    }

    public String getTemplateType() {
        return templateType;
    }

    public void setTemplateType(String templateType) {
        this.templateType = templateType;
    }

    public String getTemplateName() {
        return templateName;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getMessageTitle() {
        return messageTitle;
    }

    public void setMessageTitle(String messageTitle) {
        this.messageTitle = messageTitle;
    }

    public String getMessageContents() {
        return messageContents;
    }

    public void setMessageContents(String messageContents) {
        this.messageContents = messageContents;
    }

    public String getBtns() {
        return btns;
    }

    public void setBtns(String btns) {
        this.btns = btns;
    }

    public String getDataSource() {
        return dataSource;
    }

    public void setDataSource(String dataSource) {
        this.dataSource = dataSource;
    }

    public Date getCreateDate() {
        return createDate;
    }

    public void setCreateDate(Date createDate) {
        this.createDate = createDate;
    }

    public String getCreatePersonId() {
        return createPersonId;
    }

    public void setCreatePersonId(String createPersonId) {
        this.createPersonId = createPersonId;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public Integer getIsdelete() {
        return isdelete;
    }

    public void setIsdelete(Integer isdelete) {
        this.isdelete = isdelete;
    }

}

